[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBCheckBox.ExecuteAction

Implements support for TBasicAction in the data-aware control.

## Declaration

Source position: dbctrls.pp line 682

`public function TDBCheckBox.ExecuteAction(`
`AAction: TBasicAction`
`):Boolean; override;`

## Arguments

`AAction` |  | Action examined an executed in the method.

## Function result

True if the action was executed in the method.

## Description

ExecuteAction is an overridden Boolean function in TDBCheckBox. It extends the method from the ancestor class to include support for use of the internal TFieldDataLink to execute the action.

AAction is the TBasicAction examined and potentially executed in the method.

The return value is True when AAction is executed in in the method.

ExecuteAction calls the inherited method. If AAction is not handled in the ancestor class, the internal TFieldDataLink is used to execute the action. No actions are performed in the method when the field data link has not been assigned, or when the action is not supported for the data link.

Use Action to set the TBasicAction assigned to the ActionLink for the control, and executed in the Click method for the control.

## See also

TDataLink.ExecuteAction
TDataLink.UpdateAction
TControl.Action |  | The Action associated with the control.
TControl.Click |  | Signals OnClick and/or executes the ActionLink when the control has been clicked.
TBasicAction
TComponent.ExecuteAction